%define major		0
%define	libname		%mklibname %{name} %{major}
%define	libname_devel	%{libname}-devel

Summary:	GNOME Object Activation Framework
Name:		oaf
Version:	0.6.10
Release:	%mkrel 17

License:	LGPL/GPL
Group:		Graphical desktop/GNOME
BuildRequires:	bison, flex, ORBit-devel, popt-devel, libxml-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	gettext-devel

Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	xml-i18n-tools.m4
# (fc) 0.6.10-3mdk don't add -L/usr/lib to ldflags and -I/usr/include to cflags
Patch0:		oaf-0.6.10-libdir.patch.bz2
# (fc) 0.6.10-10mdk fix automake 1.8 warning
Patch1:		oaf-0.6.10-am18.patch.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

%package -n %{libname}
Requires:	oaf >= %{version}
Summary:	%{summary}
Group:		%{group}

%description -n %{libname}
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

%package -n %{libname_devel}
Provides:	lib%{name}-devel
Summary:	Development libraries and headers for OAF
Group:		Graphical desktop/GNOME
Requires:	%{libname} = %{version}
Requires:   ORBit-devel
Requires:   popt-devel
Obsoletes:	oaf-devel
Provides:	oaf-devel = %{version}

%description -n %{libname_devel}
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

This package contains the header files and libraries needed to develop
applications using OAF.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .am18
# adapt for gettext >= 0.14.2 (avoid patch)
grep -q gt_LC_MESSAGES %{_datadir}/aclocal/lcmessage.m4 &&
perl -pi -e 's/^(\s+)AM_(LC_MESSAGES)/${1}gt_${2}/' acinclude.m4
# update libtool or use system's one
cat %{SOURCE1} >> acinclude.m4
aclocal && autoconf

%build
%configure2_5x --disable-gtk-doc
%make
#make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/oaf-config

# Remove unpackaged file
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/oaf-empty-server

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/oafd
%{_bindir}/oaf-client
%{_bindir}/oaf-slay
%{_bindir}/oaf-sysconf
%{_bindir}/oaf-run-query
%{_datadir}/oaf
%{_datadir}/idl/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/oaf

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{libname_devel}
%defattr(-, root, root)
%{_bindir}/oaf-config
%multiarch %{multiarch_bindir}/oaf-config
%{_libdir}/*a
%{_libdir}/*so
%{_libdir}/*Conf.sh
%{_includedir}/liboaf
%{_datadir}/aclocal/*

%changelog
* Fri Nov 10 2006 Texstar <texstar@houston.rr.com> 0.6.10-17pclos2007
- Build for PCLinuxOS 2007

